<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
  <meta charset="UTF-8">
  <title>Request Konversi</title>
</head>
<body>
<div layout:fragment="main">
  <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
      <div class="header-body">
        <!-- Card stats -->
        <div class="row">
          <div class="col-xl-12 col-lg-12">
            <div class="card card-stats mb-4 mb-xl-0">
              <div class="card-body">
                <div class="row">
                  <div class="col">
                    <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                    <span class="h2 font-weight-bold mb-0">KHS </span>
                  </div>
                  <div class="col-auto">
                    <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                      <i class="fas fa-user-astronaut"></i>
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </div>

        </div>
      </div>
    </div>
  </div>

  <div class="container-fluid mt--7">
    <div class="row">
      <div class="col">
        <div class="card shadow">
          <div class="card-header border-0">
            <h3 class="mb-0">Data List</h3>
          </div>
          <div class="card-body">
            <form method="get">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Nim</label>
                    <input type="text" th:value="${selectedNim}" name="search" class="form-control">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Program Study</label>
                    <select name="prodi" class="form-control">
                      <option value=""></option>
                      <option value="" selected disabled>-- Select One --</option>
                      <option th:each="prodi : ${prodi}"
                              th:selected="(${prodi} == *{selectedProdi})"
                              th:text="${prodi.namaProdi}" th:value="${prodi.id}"></option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12" style="text-align: center;">
                  <div class="form-group">
                    <button type="submit" class="btn btn-info"><i class="fa fa-search"></i> Cari</button>
                  </div>
                </div>

              </div>
            </form>
          </div>


          <div class="card shadow">
            <div class="card-body">
              <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="tabs-icons-text-1" role="tabpanel" aria-labelledby="tabs-icons-text-1-tab">
                  <div class="card"  style="margin-top: 5px;">
                    <div class="card-header">
                      <h4 ></h4>
                      <h4 >Daftar Tunggu Request Konversi Nilai Mahasiswa</h4>
                      <p><small class="text-primary"> Klik nama file untuk melihat berkas upload request konversi nilai mahasiswa</small></p>
                    </div>

<!--                    KEMAHASISWAAN-->
                    <div class="card-body" sec:authorize="hasAuthority('VIEW_KHS_ADMIN')">
                      <div class="table-responsive">
                        <table class="table align-items-center table-flush sortable">
                          <thead class="thead-light">
                          <tr>
                            <th>No</th>
                            <th>NIM</th>
                            <th>Mahasiswa</th>
                            <th>Matakuliah</th>
                            <th>Grade</th>
                            <th>Description</th>
                            <th>File</th>
                            <th>Status</th>
                            <th>Tipe Nilai</th>
                            <th class="text-center">Option</th>
                            <th>Waktu Pengajuan</th>
                          </tr>
                          </thead>
                          <tbody>
                          <tr th:each="data,row : ${listRequestPrestasi}" >
                            <td th:text="${(row.index + 1)}"></td>
                            <td th:text="${data.krsDetail.mahasiswa.nim}"></td>
                            <td th:text="${data.krsDetail.mahasiswa.nama}"></td>
                            <td th:text="${data.krsDetail.matakuliahKurikulum.matakuliah.namaMatakuliah}"></td>
                            <th th:text="${data.krsDetail.grade}"></th>
                            <th th:text="${data.deskripsi}"></th>
                            <td >
                              <a th:href="@{/khs/request/{requestKonversi}/(requestKonversi = ${data.id})}" target="_blank"  class="text-primary fst-italic small me-2" th:text="${data.namaFile}" >
                              </a>
                            </td>
                            <td th:text="${data.approval}"></td>
                            <td th:text="${data.jenisNilai}"></td>
                            <td sec:authorize="hasAuthority('VIEW_KHS_ADMIN')">
                              <a th:href="@{/khs/request/approved(requestKonversi = ${data.id},krsDetail = ${data.krsDetail.id},jadwal = ${data.krsDetail.getJadwal().id})}" onclick="return confirm('Are you sure? ')"
                                 class="fa-solid fa-circle-xmark" style="color: #0B792F">Approve</a>
                              |
                              <a th:href="@{/khs/request/rejected(requestKonversi = ${data.id},krsDetail = ${data.krsDetail.id},jadwal = ${data.krsDetail.getJadwal().id})}" onclick="return confirm('Are you sure? ')" class="fa-solid fa-circle-xmark" style="color: #bb2d3b">Reject</a>
                            </td>

                            <td th:text="${data.createdDate}"></td>

                          </tr>
                          </tbody>

                        </table>
<!--                        <nav aria-label="...">-->
<!--                          <ul class="pagination justify-content-end mb-0" sd:pagination="full">-->
<!--                            <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                    aria-hidden="true">&laquo;</span></a>-->
<!--                            </li>-->
<!--                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                            </li>-->
<!--                          </ul>-->
<!--                        </nav>-->
                      </div>
                    </div>

<!--                    TQC-->
                    <div class="card-body" sec:authorize="hasAuthority('VIEW_TQC')">
                      <div class="table-responsive">
                        <table class="table align-items-center table-flush sortable">
                          <thead class="thead-light">
                          <tr>
                            <th>No</th>
                            <th>NIM</th>
                            <th>Mahasiswa</th>
                            <th>Matakuliah</th>
                            <th>Grade</th>
                            <th>Description</th>
                            <th>File</th>
                            <th>Status</th>
                            <th>Tipe Nilai</th>
                            <th class="text-center">Option</th>
                            <th>Waktu Pengajuan</th>
                          </tr>
                          </thead>
                          <tbody>
                          <tr th:each="data,row : ${listRequestTahfizh}" >
                            <td th:text="${(row.index + 1)}"></td>
                            <td th:text="${data.krsDetail.mahasiswa.nim}"></td>
                            <td th:text="${data.krsDetail.mahasiswa.nama}"></td>
                            <td th:text="${data.krsDetail.matakuliahKurikulum.matakuliah.namaMatakuliah}"></td>
                            <th th:text="${data.krsDetail.grade}"></th>
                            <th th:text="${data.deskripsi}"></th>
                            <td >
                              <a th:href="@{/khs/request/{requestKonversi}/(requestKonversi = ${data.id})}" target="_blank"  class="text-primary fst-italic small me-2" th:text="${data.namaFile}" >
                              </a>
                            </td>
                            <td th:text="${data.approval}"></td>
                            <td th:text="${data.jenisNilai}"></td>
                            <td>
                              <a th:href="@{/khs/request/approved(requestKonversi = ${data.id},krsDetail = ${data.krsDetail.id},jadwal = ${data.krsDetail.getJadwal().id})}" onclick="return confirm('Are you sure? ')"
                                 class="fa-solid fa-circle-xmark" style="color: #0B792F">Approve</a>
                              |
                              <a th:href="@{/khs/request/rejected(requestKonversi = ${data.id},krsDetail = ${data.krsDetail.id},jadwal = ${data.krsDetail.getJadwal().id})}" onclick="return confirm('Are you sure? ')" class="fa-solid fa-circle-xmark" style="color: #bb2d3b">Reject</a>
                            </td>

                            <td th:text="${data.createdDate}"></td>

                          </tr>
                          </tbody>

                        </table>
<!--                        <nav aria-label="...">-->
<!--                          <ul class="pagination justify-content-end mb-0" sd:pagination="full">-->
<!--                            <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                    aria-hidden="true">&laquo;</span></a>-->
<!--                            </li>-->
<!--                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                            </li>-->
<!--                          </ul>-->
<!--                        </nav>-->
                      </div>
                    </div>


                    <!--                    KPS-->
                    <div class="card-body" sec:authorize="hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_KPS')">
                      <div class="table-responsive">
                        <table class="table align-items-center table-flush sortable">
                          <thead class="thead-light">
                          <tr>
                            <th>No</th>
                            <th>NIM</th>
                            <th>Mahasiswa</th>
                            <th>Prodi</th>
                            <th class="text-center">Option</th>
                          </tr>
                          </thead>
                          <tbody>


                          <tr th:each="data,row : ${listRequestApprovedGroup}" >
                            <td th:text="${(row.index + 1)}"></td>
                            <td th:text="${data.nim}"></td>
                            <td th:text="${data.nama}"></td>
                            <td th:text="${data.namaProdi}"></td>
                            <td class="text-center">
                                <button class="btn btn-info" data-toggle="modal" th:data-target="${'#myModal' + data.idMahasiswa}">Detail</button>

                              <div class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" id="myModal" th:id="${'myModal' + data.idMahasiswa}">
                                <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                                  <div class="modal-content">
                                    <!-- Modal Header -->
                                    <div class="modal-header">
                                      <h4 class="modal-title">List Matakuliah</h4>
                                      <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    </div>

                                    <form th:action="@{/studiesActivity/khs/konversiApproval/save}"  method="post">
                                    <!-- Modal Body -->
                                    <div class="modal-body">
                                      <div class="table-responsive">
                                        <table class="table align-items-center table-flush sortable">
                                          <thead class="thead-light">
                                          <tr>
                                            <th>No</th>
                                            <th>NIM</th>
                                            <th>Mahasiswa</th>
                                            <th>Matakuliah</th>
                                            <th>Grade Lama</th>
                                            <th>Grade Baru</th>
                                            <th>Status</th>
                                            <th>Tipe Nilai</th>
                                            <th>Option</th>
                                          </tr>
                                          </thead>
                                          <tbody  th:each="data2,row : ${listApprovalGroupDetail}">
                                          <input type="hidden" name="requestKonversi" th:value="${data2.getId()}">

                                          <tr th:if="${data2.idMahasiswa == data.getIdMahasiswa()}">
                                            <td th:text="${(row.index + 1)}"></td>
                                            <td th:text="${data2.nim}"></td>
                                            <td th:text="${data2.nama}"></td>
                                            <td th:text="${data2.namaMatkul}"></td>
                                            <th th:text="${data2.gradeLama}"></th>
                                              <input type="hidden" th:value="${data2.id}" name="id">
                                              <td width="5%">
                                                <center>
                                                  <select  name="grade" class="form-control form-control-sm" required>
                                                    <option th:value="${null}"></option>
                                                    <option th:value="${'1-'+ data2.getId()}">A</option>
                                                    <option th:value="${'2-'+ data2.getId()}">A-</option>
                                                    <option th:value="${'3-'+ data2.getId()}">B+</option>
                                                    <option th:value="${'4-'+ data2.getId()}">B</option>
                                                    <option th:value="${'5-'+ data2.getId()}">B-</option>
                                                    <option th:value="${'6-'+ data2.getId()}">C+</option>
                                                    <option th:value="${'7-'+ data2.getId()}">C</option>
                                                    <option th:value="${'8-'+ data2.getId()}">D</option>
                                                    <option th:value="${'9-'+ data2.getId()}">E</option>
                                                  </select>
                                                </center>
                                              </td>
                                              <td th:text="${data2.approval}"></td>
                                              <td th:text="${data2.jenisNilai}"></td>
                                            <td >
                                              <a th:href="@{/khs/request/rejected(requestKonversi = ${data2.id},krsDetail = ${data2.idKrsDetail},jadwal = ${data.idJadwal})}" onclick="return confirm('Are you sure? ')" class="fa-solid fa-circle-xmark" style="color: #bb2d3b">Reject</a>
                                            </td>
                                          </tr>


                                          </tbody>

                                        </table>
                                      </div>
                                    </div>

                                    <!-- Modal Footer -->

                                    <div class="modal-footer">
                                      <button type="submit" class="btn btn-primary" id="submitBtn" onclick="return confirm('Confirm your request.')">Grade All </button>
                                      <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                                    </div>

                                    </form>

                                  </div>
                                </div>
                              </div>



                            </td>
                          </tr>


                          </tbody>
                        </table>

<!--                        <nav aria-label="...">-->
<!--                          <ul class="pagination justify-content-end mb-0" sd:pagination="full">-->
<!--                            <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                    aria-hidden="true">&laquo;</span></a>-->
<!--                            </li>-->
<!--                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                            </li>-->
<!--                          </ul>-->
<!--                        </nav>-->
                      </div>

                    </div>

<!--                    AKADEMIK-->
                    <div class="card-body" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_AKADEMIK1')">
                      <div class="table-responsive">
                        <table class="table align-items-center table-flush sortable">
                          <thead class="thead-light">
                          <tr>
                            <th>No</th>
                            <th>NIM</th>
                            <th>Mahasiswa</th>
                            <th>Matakuliah</th>
                            <th>Kode</th>
                            <th>Nama Kelas</th>
                            <th>Grade Lama</th>
                            <th>Grade Baru</th>
                            <th>Tipe Nilai</th>
                            <th>Approval</th>
                            <th>Finalisasi</th>
                            <th>Tahun Akademik</th>
                            <th>Status Konversi</th>
                            <th>Waktu Konversi</th>
                          </tr>
                          </thead>
                          <tbody>
                          <tr th:each="data,row : ${listFinal}" >
                            <td th:text="${(row.index + 1)}"></td>
                            <td th:text="${data.krsDetail.mahasiswa.nim}"></td>
                            <td th:text="${data.krsDetail.mahasiswa.nama}"></td>
                            <td th:text="${data.krsDetail.matakuliahKurikulum.matakuliah.namaMatakuliah}"></td>
                            <td th:text="${data.krsDetail.matakuliahKurikulum.matakuliah.kodeMatakuliah}"></td>
                            <td th:text="${data.krsDetail.jadwal.kelas.namaKelas}"></td>
                            <td th:text="${data.gradeLama}"></td>
                            <td th:text="${data.krsDetail.grade}"></td>
                            <td th:text="${data.jenisNilai}"></td>
                            <td th:text="${data.approval}"></td>
                            <td>
                              <span th:if="${data.finalization == T(id.ac.tazkia.smilemahasiswa.entity.StatusRecord).N}">Waiting</span>
                              <span th:if="${data.finalization == T(id.ac.tazkia.smilemahasiswa.entity.StatusRecord).Y}">Graded</span>
                            </td>
                            <td th:text="${data.krsDetail.tahunAkademik.namaTahunAkademik}"></td>
                            <td th:text="${data.krsDetail.requestKonversi}"></td>
                            <td th:text="${data.finalizationDate}"></td>
                          </tr>
                          </tbody>

                        </table>
<!--                        <nav aria-label="...">-->
<!--                          <ul class="pagination justify-content-end mb-0" sd:pagination="full">-->
<!--                            <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                    aria-hidden="true">&laquo;</span></a>-->
<!--                            </li>-->
<!--                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                            </li>-->
<!--                          </ul>-->
<!--                        </nav>-->

                      </div>
                    </div>
                    <div class="card-footer">

                    </div>


                  </div>
                </div>
              </div>
            </div>
          </div>



        </div>
      </div>
    </div>
  </div>
</div>
</body>
</html>


<script src="https://www.kryogenix.org/code/browser/sorttable/sorttable.js"></script>
